Class | Less::Node::Expression
In: | lib/sass/less.rb
Parent: | Object

### Methods

to_sass_tree

### Constants

LESS_TO_SASS_OPERATORS | = | {"-" => :minus, "+" => :plus, "*" => :times, "/" => :div, "=" => :single_eq}

### Public Instance methods

to_sass_tree()

[Source]

         # File lib/sass/less.rb, line 235
    235:       def to_sass_tree
    236:         if first.is_a?(Array)
    237:           val = map {|e| _to_sass_tree(e)}.inject(nil) do |e, i|
    238:             next i unless e
    239:             Sass::Script::Operation.new(e, i, :comma)
    240:           end
    241:         else
    242:           val = _to_sass_tree(self)
    243:         end
    244:         val.options = {}
    245:         val
    246:       end

[Validate]